metricbeat.modules:
- module: system
  metricsets:
    - cpu             # CPU usage
    - load            # CPU load averages
    - memory          # Memory usage
    - network         # Network IO
    - process         # Per process metrics
    - process_summary # Process summary
    - uptime          # System Uptime
#    - socket_summary  # Socket summary
    - core           # Per CPU core usage
    - diskio         # Disk IO
    - filesystem     # File system usage for each mountpoint
    - fsstat         # File system summary metrics
#    - raid           # Raid
#    - socket         # Sockets and connection info (linux only)
#    - service        # systemd service information
  enabled: true
  period: 10s
  processes: ['.*']
  cpu.metrics:  ["percentages","normalized_percentages"]  # The other available option is ticks.
  core.metrics: ["percentages"]
#output.redis:
#  hosts: ['redis-master:6379','redis-slave:6379']
#  loadbalance: true
#  codec.format:
#    string: '%{[@timestamp]}'

output.kafka:
  hosts: ["kafka:9092"]
  topic: 'metricbeat'
  partition.round_robin:
    reachable_only: false
  required_acks: 1
  compression: gzip
  max_message_bytes: 1000000
  fields_under_root: true
#   

#output.elasticsearch:
#  hosts: '${ELASTICSEARCH_HOSTS:es01:9200}'
#  username: '${ELASTICSEARCH_USERNAME:}'
#  password: '${ELASTICSEARCH_PASSWORD:}'
#  ssl:
#    certificate_authorities: "/usr/share/elasticsearch/config/certs/ca/ca.crt"
#    certificate: "/usr/share/elasticsearch/config/certs/metricbeat/metricbeat.crt"
#    key: "/usr/share/elasticsearch/config/certs/metricbeat/metricbeat.key"


system.network.name: fielddata=true

setup.kibana.host: "http://kibana:5601"

setup.dashboards.enabled: true


